%define upstream_name LV
%define upstream_version 0.006

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 9

Summary:	This module makes lvalue subroutines easy and practical to use
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/XRD/TOBYINK/%{upstream_name}-%{upstream_version}.tar.gz

#BuildRequires:	perl(Module::Build) >= 0.400.400

BuildArch:	noarch

%{?perl_default_filter}

%description
This module makes lvalue subroutines easy and practical to use. It's
inspired by the lvalue module which is sadly problematic because of the
existence of another module on CPAN called Lvalue. (They can get confused
on file-systems that have case-insensitive file names.)

LV comes with three different implementations, based on Variable::Magic,
Sentinel and `tie`; it will choose and use the best available one. You can
force LV to pick a particular implementation using:

   $ENV{PERL_LV_IMPLEMENTATION} = 'Magic'; # or 'Sentinel' or 'Tie'

The tie implementation is the slowest, but will work on Perl 5.6 with only
core modules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.6.0-9.mga9
+ Revision: 1804337
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.6.0-8.mga8
+ Revision: 1495466
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.6.0-7.mga7
+ Revision: 1269044
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.6.0-6.mga6
+ Revision: 1029456
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.6.0-5.mga6
+ Revision: 931098
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6.0-4.mga5
+ Revision: 742495
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.6.0-3.mga5
+ Revision: 733168
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.6.0-2.mga5
+ Revision: 685179
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 sander85 <sander85> 0.6.0-1.mga5
+ Revision: 585518
- imported package perl-LV

